## razor 1.20-1

=== debian/changelog ===
razor (1.20-1) unstable; urgency=low

  * New upstream version (Closes: #130612)
  * Depend on fresher libtime-hires-perl version (Closes: #132948, #134711)
  * removed INSTALL file from deb (Closes: #135554)
  * moved pod that wasn't to manpage that is. (Closes: #138303)

 -- Robert van der Meulen <rvdm@debian.org>  Mon, 15 Apr 2002 21:21:14 +0200

razor (1.19-1) unstable; urgency=low

  * New upstream release
  * This upstream fixes 125938 - (Closes: #125938)
  * Added default razor.conf and razor.lst (Closes: #125940)

 -- Robert van der Meulen <rvdm@debian.org>  Mon, 15 Apr 2002 21:10:01 +0200

razor (1.17-1) unstable; urgency=low

  * New upstream release (Closes: #122791)
  * Removed unneeded dirs (Closes: #122882)
  * Fixed typo in copyright (Closes: #122624)
  * Added manpage for razor.conf (Closes: #122515, #123093)
  * Provides: librazor-perl added (Closes: #122898) 

 -- Robert van der Meulen <rvdm@debian.org>  Mon, 10 Dec 2001 20:10:36 +0100

razor (1.13-1) unstable; urgency=low

  * Initial Release.

 -- Robert van der Meulen <rvdm@debian.org>  Wed, 28 Nov 2001 18:04:27 +0100

Local variables:
mode: debian-changelog
End:
