=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	perl Makefile.PL INSTALLDIRS=vendor
	$(MAKE)
	#/usr/bin/docbook-to-man debian/razor.sgml > razor.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/razor.
	$(MAKE) install PREFIX=$(CURDIR)/debian/razor/usr INSTALLDIRS=vendor
	rm -f $(CURDIR)/debian/usr/share/doc/razor/INSTALL
	rmdir $(CURDIR)/debian/razor/usr/lib/perl5
	mkdir -p $(CURDIR)/debian/razor/usr/share/man/man5
	cp $(CURDIR)/man/razor.conf.5 $(CURDIR)/debian/razor/usr/share/man/man5/
	cp $(CURDIR)/debian/razor/usr/share/perl5/razor-whitelist.pod $(CURDIR)/debian/razor/usr/share/man/man5/razor-whitelist.5
	rm $(CURDIR)/debian/razor/usr/share/perl5/razor-whitelist.pod


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs Changes
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	rm -f $(CURDIR)/debian/razor/usr/share/doc/razor/INSTALL
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
