## razor 2.85

=== debian/changelog ===
razor (1:2.85-11) unstable; urgency=medium

  * Use Razor2-Preproc-deHTMLxs/test.pl instead of autopkgtest-pkg-perl.
  * Add build-dependency on perl-xs-dev. Closes: #1102857.

 -- Santiago Vila <sanvila@debian.org>  Sat, 24 May 2025 22:50:00 +0200

razor (1:2.85-10) unstable; urgency=medium

  * Adopt package. Closes: #866833.
  * Add autopkgtests, using autopkgtest-pkg-perl.
  * Update standards version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Wed, 21 May 2025 12:55:00 +0200

razor (1:2.85-9) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Changed vcs type from git to Git based on URL.
  * Fix day-of-week for changelog entry 2.700-1.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 21:06:14 +0000

razor (1:2.85-8) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on perl.
    + razor: Drop versioned constraint on perl in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 13:40:20 +0100

razor (1:2.85-7) unstable; urgency=medium

  * QA upload.
  * debian/control: Set Vcs-* Headers.
  * debian/rules: Pass --no-parallel to dh to fix non-deterministic build
    failures.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 22 May 2022 10:23:56 -0700

razor (1:2.85-6) unstable; urgency=medium

  * QA upload.
  * debian/changelog: Remove trailing whitespace.
  * Switch to debhelper compat 13, dh and source format "3.0 (quilt)".
    (Closes: #1007665, #1011402)
  * debian/control: Drop obsolete "DM-Upload-Allowed" field.
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/control: Remove outdated Vcs-* fields.
  * debian/control: Add ${misc:Depends} to Depends.
  * debian/postinst: Remove obsolete check.
  * debian/control: Update to Standards-Version 4.6.1.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sat, 21 May 2022 16:19:56 -0700

razor (1:2.85-5) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group. (see #866833)
  * debian/rules: Add build-{arch,indep}. (Closes: #999005)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Dec 2021 23:34:34 +0200

razor (1:2.85-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.22 in experimental (MakeMaker changes)":
    replace PREFIX with DESTDIR in debian/rules.
    (Closes: #807478)
  * Additional change for perl 5.22: fix handling of section 5 manpages:
    - drop unneeded handling from debian/rules
    - add patch to adjust regexp for inserting man5 targets in Makefile.PL:
      ExtUtils::MakeMaker now adds quotation marks.

 -- gregor herrmann <gregoa@debian.org>  Thu, 10 Dec 2015 21:13:53 +0100

razor (1:2.85-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    set perl library directory in debian/rules, using the value of
    $Config{vendorarch}
    (Closes: #752810)

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Aug 2014 18:58:28 +0200

razor (1:2.85-4) unstable; urgency=low

  * [7e80fb6] Add use-Digest-SHA.patch to use Digest::SHA instead of
    Digest::SHA1 and drop libdigest-sha1-perl (Build-)Depends.
    Thanks to Salvatore Bonaccorso (Closes: #624579)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 28 May 2011 16:46:31 +0200

razor (1:2.85-3) unstable; urgency=low

  * [1ac1321] Adopting razor, thanks to Francois Marier and  Corrin
    Lakeland for the prior work on razor (Closes: #521390)
  * [a45a504] Switch to quilt
  * [1244161] debian/control: Updated VCS and added DM-Upload-Allowed
    fields
  * [1d4c95a] debian/rules: Use dh_installlogcheck to install the
    logchek ignore file
  * [1b83e29]
    debian/patches/02_fix_empty_attachments_identified_as_spam.patch:
    Empty attachments might be identified as spam, fixed
  * [bdce9d8] debian/patches/03_accept_relative_path.patch: Do not chdir
    to / prior to trying to open the file. (Closes: #242174)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Fri, 27 Mar 2009 18:33:46 +0100

razor (1:2.85-2) unstable; urgency=low

  * Orphan this package at the request of the MIA team (closes: #519352)
  * Bump Standards-Version up to 3.8.1
  * Bump debhelper compatibility and dependency to 7
  * debian/rules: make use of dh_prep

 -- Francois Marier <francois@debian.org>  Thu, 19 Mar 2009 20:55:52 +1300

razor (1:2.85-1) unstable; urgency=low

  * New upstream release (no code changes, new license)
  * Update copyright file since the license has changed
  * Bump Standards-Version up to 3.8.0 (no changes)
  * Bump debhelper compatibility and dependency to 6

 -- Francois Marier <francois@debian.org>  Wed, 23 Jul 2008 13:25:06 +1200

razor (1:2.84-6) unstable; urgency=low

  * Clarify which user account needs to register in README.Debian
    (closes: #457429)
  * Add missing perl dependencies through ${perl:Depends} (closes: #463145)

 -- Francois Marier <francois@debian.org>  Wed, 30 Jan 2008 11:37:27 +1300

razor (1:2.84-5) unstable; urgency=low

  * Fix sf.net URL in the watch file (closes: #453533)
  * Bump Standards-Version to 3.7.3 (no changes)
  * Fix typo in Vcs-Svn
  * Remove vim variables at the end of the changelog
  * Remove empty directory in debian/rules

 -- Francois Marier <francois@debian.org>  Tue, 11 Dec 2007 13:19:58 +1300

razor (1:2.84-4) unstable; urgency=low

  * Add the "missingok" option to logrotate (closes: #450397).
    Thanks to OHURA Makoto for the patch!
  * Rename the XS-Vcs-* fields to Vcs-*

 -- Francois Marier <francois@debian.org>  Tue, 20 Nov 2007 15:49:28 +1300

razor (1:2.84-3) unstable; urgency=low

  * Set the default logfile to be /var/log/razor-agent.log
    (closes: #285406, #448140)
  * Provide a logrotate file
  * Remove README.Logging

 -- Francois Marier <francois@debian.org>  Sat, 03 Nov 2007 22:50:01 +1300

razor (1:2.84-2) unstable; urgency=low

  * Add a watch file

