=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: razor
 Section: mail
 Priority: optional
-Maintainer: Robert van der Meulen <rvdm@debian.org>
-Build-Depends: debhelper (>> 3.0.0)
-Standards-Version: 3.5.2
+Maintainer: Santiago Vila <sanvila@debian.org>
+Build-Depends: debhelper-compat (= 13), libnet-dns-perl, libtime-hires-perl | perl, liburi-perl, perl-xs-dev
+Standards-Version: 4.7.2
+Homepage: https://razor.sourceforge.net
+Vcs-Browser: https://salsa.debian.org/debian/razor
+Vcs-Git: https://salsa.debian.org/debian/razor.git
+Rules-Requires-Root: no
 
 Package: razor
-Architecture: all
-Depends: ${shlibs:Depends}, libdigest-sha1-perl, libnet-dns-perl, libtime-hires-perl ( >> 1.20-3 ), libmailtools-perl
-Provides: librazor-perl
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, libdigest-hmac-perl, libdigest-md5-perl, libmime-base64-perl, libnet-dns-perl, libtime-hires-perl | perl, libtest-simple-perl, liburi-perl, ${perl:Depends}
+Provides: librazor2-perl
 Description: spam-catcher using a collaborative filtering network
  Vipul's Razor is a distributed, collaborative, spam detection and
  filtering network. Razor establishes a distributed and constantly updating
