=== debian/tests/control ===
Tests: upstream
