=== debian/watch ===
version=3
http://sf.net/razor/razor-agents-([\d.]*).tar.bz2
